Appearance
POST
/web-pages/draft/drafts/{draftId}/_publishRequired scope:
viskan:draft:publishPublishes a draft. Overwrites the sent content of a category using draft tables, and deletes the row from the Draft as well as associated Draft tables.
Parameters
Path parameters
draftId string Format:
uuidIdentifier of the draft. A draft is a workspace that holds unpublished changes to web store content.
Response
The draft was successfully published and the associated draft entries were removed.
| Error code | Description |
|---|---|
web-pages.category-tree.cyclic-dependency | Cyclic dependency detected in category tree. |
web-pages.publish-draft.category-tree-read-json-failed | Failed to read category tree from JSON. |
web-pages.publish-draft.category-tree-write-json-failed | Failed to convert category tree to JSON. |
web-pages.publish-draft.draft-json-failed | Failed to convert draft to JSON. |
web-pages.publish-draft.draft-not-found | The specified draft could not be found. |
web-pages.publish-draft.hierarchy-too-deep | Category hierarchy exceeds maximum depth of 9 levels. |
web-pages.publish-draft.start-page-category-not-found | Start page category for the web store was not found. |
web-pages.publish-draft.web-store-not-found | Specified web store was not found. |
web-pages.web-store.country-code-invalid | Country code is invalid. |
web-pages.web-store.language-code-invalid | Language code is invalid. |
web-store.store-setting.country-code-invalid | Country code is invalid. |
web-store.store-setting.language-code-invalid | Language code is invalid. |